Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.phase
Class AbstractPhaseInterceptor<T extends Message>

    java.lang.Object
      org.apache.cxf.phase.AbstractPhaseInterceptor<T>

All Implemented Interfaces:
  Interceptor<T>, PhaseInterceptor<T>

    public abstract class AbstractPhaseInterceptor<T extends Message>

extends java.lang.Object
implements PhaseInterceptor<T>

Constructor Summary
`AbstractPhaseInterceptor(java.lang.String phase)`
`AbstractPhaseInterceptor(java.lang.String phase, boolean uniqueId)`
`AbstractPhaseInterceptor(java.lang.String i, java.lang.String p)`
`AbstractPhaseInterceptor(java.lang.String i, java.lang.String p, boolean uniqueId)`

Method Summary
`void` | `addAfter(java.util.Collection<java.lang.String> i)`
`void` | `addAfter(java.lang.String i)`
`void` | `addBefore(java.util.Collection<java.lang.String> i)`
`void` | `addBefore(java.lang.String i)`
`java.util.Set<java.lang.String>` | `getAfter()` Returns a set containing the IDs of the interceptors that should be executed before this interceptor.
`java.util.Set<java.lang.String>` | `getBefore()` Returns a set containing the IDs of the interceptors that should be executed after this interceptor.
`java.lang.String` | `getId()` Returns the ID of this interceptor.
`java.lang.String` | `getPhase()` Returns the phase in which this interceptor is excecuted.
`void` | `handleFault(T message)` Called for all interceptors (in reverse order) on which handleMessage had been successfully invoked, when normal execution of the chain was aborted for some reason.
`boolean` | `isGET(T message)`
`void` | `setAfter(java.util.Collection<java.lang.String> i)`
`void` | `setBefore(java.util.Collection<java.lang.String> i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cxf.interceptor.Interceptor
`handleMessage`

Constructor Detail

### AbstractPhaseInterceptor

    public AbstractPhaseInterceptor(java.lang.String phase)

### AbstractPhaseInterceptor

    public AbstractPhaseInterceptor(java.lang.String i,
                                    java.lang.String p)

### AbstractPhaseInterceptor

    public AbstractPhaseInterceptor(java.lang.String phase,
                                    boolean uniqueId)

### AbstractPhaseInterceptor

    public AbstractPhaseInterceptor(java.lang.String i,
                                    java.lang.String p,
                                    boolean uniqueId)

Method Detail

### setBefore

    public void setBefore(java.util.Collection<java.lang.String> i)

### setAfter

    public void setAfter(java.util.Collection<java.lang.String> i)

### addBefore

    public void addBefore(java.util.Collection<java.lang.String> i)

### addAfter

    public void addAfter(java.util.Collection<java.lang.String> i)

### addBefore

    public void addBefore(java.lang.String i)

### addAfter

    public void addAfter(java.lang.String i)

### getAfter

    public final java.util.Set<java.lang.String> getAfter()

  Description copied from interface: `PhaseInterceptor`
  Returns a set containing the IDs of the interceptors that should be executed before this interceptor. This interceptor will be placed in the chain after the interceptors in the set.

  Specified by:
    `getAfter` in interface `PhaseInterceptor<T extends Message>`
  Returns:
    the IDs of the interceptors

### getBefore

    public final java.util.Set<java.lang.String> getBefore()

  Description copied from interface: `PhaseInterceptor`
  Returns a set containing the IDs of the interceptors that should be executed after this interceptor. This interceptor will be placed in the inteceptor chain before the interceptors in the set.

  Specified by:
    `getBefore` in interface `PhaseInterceptor<T extends Message>`
  Returns:
    the ids of the interceptors

### getId

    public final java.lang.String getId()

  Description copied from interface: `PhaseInterceptor`
  Returns the ID of this interceptor.

  Specified by:
    `getId` in interface `PhaseInterceptor<T extends Message>`
  Returns:
    the ID

### getPhase

    public final java.lang.String getPhase()

  Description copied from interface: `PhaseInterceptor`
  Returns the phase in which this interceptor is excecuted.

  Specified by:
    `getPhase` in interface `PhaseInterceptor<T extends Message>`
  Returns:
    the phase

### handleFault

    public void handleFault(T message)

  Description copied from interface: `Interceptor`
  Called for all interceptors (in reverse order) on which handleMessage had been successfully invoked, when normal execution of the chain was aborted for some reason.

  Specified by:
    `handleFault` in interface `Interceptor<T extends Message>`

### isGET

    public boolean isGET(T message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF